
Figure - Bug #118973
【AF】【VC1】【台架】【副屏】副屏QQ语音中，切换语音通道蓝牙→听筒→外放（此过程听筒和外放没有
声音输出）；蓝牙→外放→听筒（此过程中声音输出正常）
2023-07-04 16:17 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-04

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0118

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version: 0727DB

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 在蓝牙切换至听筒时，增加焦点申请

Description

【环境信息】

台架

【前提条件】

1.设备上电工作正常

2.已下载QQ

3.副屏已连接蓝牙音箱或耳机

【操作步骤】

1.副屏接到QQ语音来电处于通话中

2.在QQ语音界面切换音源输出方式：蓝牙→听筒→外放

3.在QQ语音界面切换音源输出方式：蓝牙→外放→听筒

【实际结果】

2.听筒和外放没有声音输出

3.声音输出正常

【期望结果】

声音能以当前选择的方式正常输出

History

#1 - 2023-07-05 17:50 - BSP组-RD3_TSCD 罗聪

- File 2.txt added

- Assignee changed from BSP组-RD3_TSCD 罗聪 to Multimedia组-RD3_TSCD 梁卿山

hi 卿山:

这个现象如下：

语音通话过程中，连接蓝牙耳机，蓝牙耳机正常出声.

蓝牙切换到听筒这个时候听筒没有声音了，

然后从听筒切换到喇叭，这个时候喇叭没有输出。 

从喇叭切换为蓝牙，此时蓝牙有声音，从蓝牙直接切换到喇叭有声音，再从喇叭切换到听筒也是有声音的，再切换为蓝牙，也是有声音的。

log请看 《2.txt》这个log这个log中大概时间点是 14:06:00 在屏幕上点击蓝牙切换到听筒的选项。

07-05 14:06:03.283   811   811 D audio_hw_primary: select_devices: changing use case audio-record-voip input device from(177: bt-sco-mic-wb, acdb 38) to (124:

handset-mic, acdb 4)
07-05 14:06:03.283   811   811 D audio_hw_primary: disable_audio_route: reset and update mixer path: audio-record-voip bt-sco-wb

07-05 14:06:03.288  2324  2447 D Tile.BluetoothTile: handleUpdateState: true, connected: true, isTransient: false

07-05 14:06:03.290     0     0 I [10302.067499] afe_close: port_id = 0x400f

07-05 14:06:03.294     0     0 I [10302.071509] btfm_slim_disable_ch: port:0, grp: 0, ch->grph:0x0, ch->ch_hdl:0x1f

07-05 14:06:03.297   811   811 D sound_trigger_hw: handle_audio_ec_ref_enabled: Enter

07-05 14:06:03.297   811   811 D sound_trigger_hw: handle_audio_ec_ref_enabled: Exit audio ec ref=0

07-05 14:06:03.297   811   811 D soundtrigger: audio_extn_sound_trigger_update_ec_ref_status: update audio echo ref status false

07-05 14:06:03.297  2324  2447 D Tile.BluetoothTile: handleUpdateState: true, connected: true, isTransient: false

07-05 14:06:03.299   811   811 D soundtrigger: audio_extn_sound_trigger_update_stream_status: uc_info->id 34 of type 1 for Event 2, with Raise=1

07-05 14:06:03.299   811   811 D soundtrigger: audio_extn_sound_trigger_update_stream_status: send event 12: usecase id 34, type 1

07-05 14:06:03.299   811   811 I sound_trigger_platform: platform_stdev_check_and_update_concurrency: Received STREAM event, event type 12, usecase type 3

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Device = 0x80000004

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Available device = 0x80000004

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_check_and_update_concurrency: dedicated path 1, reset backend 1, tx 1, rx 0,

concurrency session not allowed

07-05 14:06:03.299   811   811 D hardware_info: hw_info_append_hw_type : device_name = bt-sco-mic-wb

07-05 14:06:03.299   811   811 D audio_hw_primary: disable_snd_device: snd_device(177: bt-sco-mic-wb)

07-05 14:06:03.299   811   811 D msm8974_platform: platform_split_snd_device: snd_device(177) num devices(0) new_snd_devices(0)

07-05 14:06:03.299   811   811 I soundtrigger: audio_extn_sound_trigger_update_device_status: device 0xb1 of type 1 for Event 0, with Raise=1

07-05 14:06:03.299   811   811 I sound_trigger_platform: platform_stdev_check_and_update_concurrency: Received DEVICE event, event type 0, usecase type 3

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Device = 0x80000004

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Available device = 0x80000004

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_check_and_update_concurrency: dedicated path 1, reset backend 1, tx 0, rx 0,

concurrency session allowed

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Device = 0x80000004

07-05 14:06:03.299   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Available device = 0x80000004

07-05 14:06:03.299   811   811 I msm8974_platform: platform_check_and_set_capture_codec_backend_cfg:txbecf: afe: bitwidth 16, samplerate 16000, channel 1

format 1, backend_idx 8 usecase = 34 device (handset-mic)

07-05 14:06:03.299   811   811 I msm8974_platform: platform_check_capture_codec_backend_cfg:txbecf: afe: Codec selected backend: 8 current bit width: 16 and

sample rate: 16000, channels 1 format 1

07-05 14:06:03.299   811   811 W msm8974_platform: platform_check_capture_codec_backend_cfg:txbecf: afe: Use default bw and sr for voice/voip calls and for

unprocessed/camera source

07-05 14:06:03.299   811   811 I msm8974_platform: platform_check_capture_codec_backend_cfg:txbecf: afe: current backend bit_width 16 sample_rate 48000

channels 1, format 0

07-05 14:06:03.299   811   811 I msm8974_platform: platform_check_capture_codec_backend_cfg:txbecf: afe: Codec backend needs to be updated. new bit width:

16 new sample rate: 48000 new channel: 1 new format: 1

07-05 14:06:03.299   811   811 I msm8974_platform: platform_set_codec_backend_cfg:becf: afe: bitwidth 16, samplerate 48000 channels 1 format 1, backend_idx 8

device (handset-mic)

07-05 14:06:03.299   811   811 D audio_hw_primary: check_usecases_capture_codec_backend:becf: force routing 0

07-05 14:06:03.299   811   811 D hardware_info: hw_info_append_hw_type : device_name = handset-mic

07-05 14:06:03.300   811   811 D msm8974_platform: platform_split_snd_device: snd_device(124) num devices(0) new_snd_devices(0)

07-05 14:06:03.300   811   811 D audio_hw_primary: enable_snd_device: snd_device(124: handset-mic)

07-05 14:06:03.300   811   811 D msm8974_platform: platform_get_island_cfg_on_device:island cfg status on snd_device = (handset-mic 0)

07-05 14:06:03.300   811   811 D soundtrigger: audio HAL using same device 124 as ST

07-05 14:06:03.300   811   811 I soundtrigger: audio_extn_sound_trigger_update_device_status: device 0x7c of type 1 for Event 1, with Raise=1

07-05 14:06:03.300   811   811 I sound_trigger_platform: platform_stdev_check_and_update_concurrency: Received DEVICE event, event type 1, usecase type 3

07-05 14:06:03.300   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Device = 0x80000004

07-05 14:06:03.300   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Available device = 0x80000004

07-05 14:06:03.300   811   811 D sound_trigger_platform: platform_stdev_check_and_update_concurrency: dedicated path 1, reset backend 1, tx 1, rx 0,

concurrency session not allowed

07-05 14:06:03.300   811   811 D audio_route: Apply path: handset-mic

07-05 14:06:03.300   811   811 D sound_trigger_hw: handle_audio_ec_ref_enabled: Enter

07-05 14:06:03.300   811   811 D sound_trigger_hw: handle_audio_ec_ref_enabled: Exit audio ec ref=1
07-05 14:06:03.300   811   811 D soundtrigger: audio_extn_sound_trigger_update_ec_ref_status: update audio echo ref status true

07-05 14:06:03.300   811   811 D audio_route: Apply path: echo-reference-voip bt-sco-wb

07-05 14:06:03.302   811   811 D msm8974_platform: platform_set_echo_reference: enabling echo-reference-voip bt-sco-wb

07-05 14:06:03.302   811   811 D soundtrigger: audio HAL using same device 124 as ST

07-05 14:06:03.302   811   811 D soundtrigger: audio_extn_sound_trigger_update_stream_status: uc_info->id 34 of type 1 for Event 3, with Raise=1

07-05 14:06:03.302   811   811 D soundtrigger: audio_extn_sound_trigger_update_stream_status: send event 13: usecase id 34, type 1

07-05 14:06:03.302   811   811 I sound_trigger_platform: platform_stdev_check_and_update_concurrency: Received STREAM event, event type 13, usecase type 3

07-05 14:06:03.302   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Device = 0x80000004

07-05 14:06:03.302   811   811 D sound_trigger_platform: platform_stdev_get_capture_device: Available device = 0x80000004

07-05 14:06:03.302   811   811 D sound_trigger_platform: platform_stdev_check_and_update_concurrency: dedicated path 1, reset backend 1, tx 1, rx 0,

concurrency session not allowed

07-05 14:06:03.302   811   811 D audio_hw_utils: audio_extn_utils_send_app_type_cfg: usecase->in_snd_device handset-mic

07-05 14:06:03.302   811   811 D msm8974_platform: platform_split_snd_device: snd_device(124) num devices(0) new_snd_devices(0)

07-05 14:06:03.302   811   811 D audio_hw_utils: audio_extn_btsco_get_sample_rate:Not a BT SCO device, need not update sampling rate

07-05 14:06:03.302   811   811 I audio_hw_utils: send_app_type_cfg_for_device CAPTURE app_type 69946, acdb_dev_id 4, sample_rate 16000,

snd_device_be_idx 194

07-05 14:06:03.302   811   811 D msm8974_platform: platform_split_snd_device: snd_device(124) num devices(1) new_snd_devices(0)

07-05 14:06:03.302   811   811 D audio_hw_utils: audio_extn_btsco_get_sample_rate:Not a BT SCO device, need not update sampling rate

07-05 14:06:03.302  1540  1572 W System  : A resource failed to call close. 

关键log应该是这一段

谢谢！

#2 - 2023-07-26 15:46 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Resolution changed from -- to FIXED

- Root cause set to 在蓝牙切换至听筒时，增加焦点申请

Hi ALL

该问题已经在最新版本解决，请使用最新版本验证，谢谢!

#3 - 2023-07-27 15:23 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0727DB

验证结果：PASS

验证次数：10次

验证方法：按bug复现步骤执行

#4 - 2023-07-27 15:23 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

#5 - 2023-07-31 15:49 - CD TEST-方永红

- Category changed from BSP to AUDIO-FW

- Status changed from CLOSED to New
- Assignee changed from 物联网测试组_TSCD 王维 to Multimedia组-RD3_TSCD 梁卿山

0731DB 发现该问题，且必现

#6 - 2023-08-02 10:16 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Resolution changed from FIXED to WONTFIX

Hi ALL

该问题在jira上同IOVDEV-36642，该问题是需求问题，暂时不做处理。

#7 - 2023-08-31 16:08 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

IOVDEV-36642    BUG已关闭

#8 - 2023-08-31 16:08 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

16.txt 5.48 MB 2023-07-04 物联网测试组_TSCD 王维

2.txt 4.51 MB 2023-07-05 BSP组-RD3_TSCD 罗聪
